Bug 122714 - [patch] ports/net/vnc build failure WITHOUT_SERVER
[patch] ports/net/vnc build failure WITHOUT_SERVER
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Anders Nordby
Depends on:
  Show dependency treegraph
Reported: 2008-04-13 11:30 UTC by ports-net-vnc-apr08
Modified: 2008-04-15 23:30 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description ports-net-vnc-apr08 2008-04-13 11:30:01 UTC
ports/net/vnc does not patch properly when WITHOUT_SERVER is enabled:

===>  Vulnerability check disabled, database not found
===>  Found saved configuration for vnc-4.1.2_2
===>  Extracting for vnc-4.1.2_2
=> MD5 Checksum OK for xc/vnc-4_1_2-unixsrc.tar.gz.
=> SHA256 Checksum OK for xc/vnc-4_1_2-unixsrc.tar.gz.
===>  Patching for vnc-4.1.2_2
===>  Applying FreeBSD patches for vnc-4.1.2_2
===>   Applying FreeBSD patch /usr/ports/net/vnc/files/patch-xc-config-util-printver.c
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
|--- xc/config/util/printver.c.orig     2003-02-26 10:21:33.000000000 +0100
|+++ xc/config/util/printver.c  2008-03-16 10:07:56.000000000 +0100
File to patch:

The reason is that all files following the ${PATCHDIR}/patch*
naming scheme are applied automatically and unconditionally.
This includes files/patch-xc-config-util-printver.c which is only
applicable for WITH_SERVER builds.


Rename ${PATCHDIR}/patch-xc-config-util-printver.c to


add ${PATCHDIR}/extra-patch-xc-config-util-printver.c to
EXTRA_PATCHES in Makefile.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-13 11:30:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Anders Nordby freebsd_committer 2008-04-13 13:09:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->anders

As I did the update on this port, I will also handle this PR.
Comment 3 dfilter freebsd_committer 2008-04-15 23:24:04 UTC
anders      2008-04-15 22:23:56 UTC

  FreeBSD ports repository

  Modified files:
    net/vnc              Makefile 
  Removed files:
    net/vnc/files        patch-xc-config-util-printver.c 
  Fix build when WITHOUT_SERVER is set.
  PR:             122714
  Submitted by:   Helge Oldach <ports-net-vnc-apr08@oldach.net>
  Approved by:    maintainer timeout
  Revision  Changes    Path
  1.53      +2 -1      ports/net/vnc/Makefile
  1.2       +0 -10     ports/net/vnc/files/patch-xc-config-util-printver.c (dead)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Anders Nordby freebsd_committer 2008-04-15 23:24:49 UTC
State Changed
From-To: feedback->closed

I have fixed this now. Thanks for reporting.